=== doc/Makefile ===
all: srm.html srm.txt srm.ps.gz

srm.html: srm.sgml
	sgml2html srm

srm.txt: srm.sgml
	sgml2txt srm
	mv srm.txt srm.ansi
	cat srm.ansi | col -b >srm.txt
	rm -f srm.ansi

srm.ps.gz: srm.sgml
	sgml2ps srm
	gzip -vf srm.ps
