=== lib/Makefile ===
CC	= gcc
CPPFLAGS +=  -D__KERNEL__ -I../include
CFLAGS	= -O2 -Wall -mno-fp-regs
ASFLAGS	= $(CPPFLAGS) -D__ASSEMBLY__ -traditional

libaboot.a: libaboot.a(							\
	vsprintf.o memcpy.o memset.o string.o _setjmp.o _longjmp.o isolib.o \
	__divqu.o __remqu.o __divlu.o __remlu.o)

clean:
	rm -f libaboot.a *.o

__divqu.o: divide.S
	$(CC) -DDIV -c -o $@ divide.S

__remqu.o: divide.S
	$(CC) -DREM -c -o $@ divide.S

__divlu.o: divide.S
	$(CC) -DDIV -DINTSIZE -c -o $@ divide.S

__remlu.o: divide.S
	$(CC) -DREM -DINTSIZE -c -o $@ divide.S
