=== doc/Makefile ===
all: SRM-HOWTO.html SRM-HOWTO.txt SRM-HOWTO.ps.gz SRM-HOWTO.pdf

%.html: %.sgml
	sgml2html $<

%.txt: %.sgml
	sgml2txt $<
	mv $@ $@.ansi.tmp
	cat $@.ansi.tmp | col -b > $@
	rm -f $@.ansi.tmp

%.tex: %.sgml
	sgml2latex $<

%.ps.gz: %.tex
	latex $<
	latex $<
	dvips -o $(patsubst %.tex,%.ps,$<) $(patsubst %.tex,%.dvi,$<)
	gzip  -f $(patsubst %.tex,%.ps,$<)
	rm -f $*.{dvi,aux,log,toc}

%.pdf: %.tex
	pdflatex $<
	pdflatex $<
	rm -f $*.{dvi,aux,log,toc}
