## aboot 0.9

=== Makefile ===
--- 
+++ 
@@ -14,14 +14,16 @@
 VMLINUXGZ	= $(KSRC)/arch/alpha/boot/vmlinux.gz
 
 # for userspace testing
-# TESTING	= yes
+#TESTING	= yes
 
 # for boot testing
-# CFGDEFS	= -DDEBUG
+#CFGDEFS       	= -DDEBUG_ISO -DDEBUG_ROCK -DDEBUG
 
+# root, aka prefix
 root		=
 bindir		= $(root)/sbin
 bootdir		= $(root)/boot
+mandir		= /usr/man
 
 #
 # There shouldn't be any need to change anything below this line.
@@ -34,9 +36,9 @@
 TOP		= $(shell pwd)
 ifeq ($(TESTING),)
 CPPFLAGS	= $(CFGDEFS) -I$(TOP)/include -I$(KSRC)/include
-CFLAGS		= $(CPPFLAGS) -D__KERNEL__ -mcpu=ev4 -Os -Wall -mno-fp-regs -ffixed-8
+CFLAGS		= $(CPPFLAGS) -D__KERNEL__ -mcpu=ev4 -Os -Wall -Wcast-align -mno-fp-regs -ffixed-8
 else
-CPPFLAGS	= -DTESTING $(CFGDEFS) -I$(TOP)/include
+CPPFLAGS	= -DTESTING $(CFGDEFS) -I$(TOP)/include -I$(KSRC)/include
 CFLAGS		= $(CPPFLAGS) -O -g3 -Wall -D__KERNEL__ -ffixed-8
 endif
 ASFLAGS		= $(CPPFLAGS)
@@ -79,8 +81,14 @@
 bootlx:	aboot tools/objstrip
 	tools/objstrip -vb aboot bootlx
 
+install-man: 
+	make -C doc/man install
+
+install-man-gz:
+	make -C doc/man install-gz
+
 install: tools/abootconf tools/e2writeboot tools/isomarkboot \
-	sdisklabel/swriteboot
+	sdisklabel/swriteboot install-man
 	install -d $(bindir) $(bootdir)
 	install -c -s tools/abootconf $(bindir)
 	install -c -s tools/e2writeboot $(bindir)
