=== lib/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 CC	= gcc
 CPPFLAGS +=  -D__KERNEL__ -I../include
 ifeq ($(TESTING),)
-CFLAGS	= -O -Wall -mno-fp-regs
+CFLAGS	= -Os -Wall -mno-fp-regs
 else
-CFLAGS  = -O -g3 -Wall
+CFLAGS  = -Os -g3 -Wall
 endif
 ASFLAGS	= $(CPPFLAGS) -D__ASSEMBLY__ -traditional
