## aboot 1.0~pre20040408

=== Makefile ===
--- 
+++ 
@@ -17,13 +17,15 @@
 #TESTING	= yes
 
 # for boot testing
-#CFGDEFS       	= -DDEBUG_ISO -DDEBUG_ROCK -DDEBUG
+#CFGDEFS       	= -DDEBUG_ISO -DDEBUG_ROCK -DDEBUG_EXT2 -DDEBUG
 
 # root, aka prefix
 root		=
 bindir		= $(root)/sbin
 bootdir		= $(root)/boot
-mandir		= /usr/man
+mandir         = $(root)/usr/share/man
+
+export
 
 #
 # There shouldn't be any need to change anything below this line.
@@ -35,10 +37,10 @@
 CC		= gcc
 TOP		= $(shell pwd)
 ifeq ($(TESTING),)
-CPPFLAGS	= $(CFGDEFS) -I$(TOP)/include -I$(KSRC)/include
-CFLAGS		= $(CPPFLAGS) -D__KERNEL__ -mcpu=ev4 -Os -Wall -fno-builtin -mno-fp-regs -ffixed-8
+CPPFLAGS	= $(CFGDEFS) -I$(TOP)/include
+CFLAGS		= $(CPPFLAGS) -D__KERNEL__ -Os -Wall -fno-builtin -mno-fp-regs -ffixed-8
 else
-CPPFLAGS	= -DTESTING $(CFGDEFS) -I$(TOP)/include -I$(KSRC)/include
+CPPFLAGS	= -DTESTING $(CFGDEFS) -I$(TOP)/include
 CFLAGS		= $(CPPFLAGS) -O -g3 -Wall -D__KERNEL__ -ffixed-8
 endif
 ASFLAGS		= $(CPPFLAGS)
