=== tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC	= gcc
 CFLAGS	= -g -O2 -Wall -I. -I../include $(CPPFLAGS)
 LDFLAGS	= -g
-PGMS	= e2writeboot isomarkboot abootconf elfencap
+PGMS	= e2writeboot isomarkboot abootconf elfencap objstrip
 
 EXEC_PREFIX = /usr
