=== doc/man/Makefile ===
--- 
+++ 
@@ -10,17 +10,34 @@
 else
 MANDIR=$(mandir)
 endif
+MAN1=$(MANDIR)/man1
 MAN5=$(MANDIR)/man5
 MAN8=$(MANDIR)/man8
 
-default: 
+all: aboot.8 aboot.conf.5 abootconf.8 isomarkboot.1 sdisklabel.8 netabootwrap.1
 
-install: 
-	install -d $(MAN5) $(MAN8)
+install:
+	install -d $(MAN1) $(MAN5) $(MAN8)
+	install -c isomarkboot.1 netabootwrap.1 $(MAN1)
 	install -c aboot.conf.5 $(MAN5)
-	install -c aboot.8 abootconf.8 e2writeboot.8 swriteboot.8 $(MAN8)	
+	install -c aboot.8 abootconf.8 e2writeboot.8 swriteboot.8 sdisklabel.8 $(MAN8)
+
 install-gz: install
+	gzip -f9 $(MAN1)/isomarkboot.1 $(MAN1)/netabootwrap.1
 	gzip -f9 $(MAN5)/aboot.conf.5
 	gzip -f9 $(MAN8)/aboot.8 $(MAN8)/abootconf.8 $(MAN8)/e2writeboot.8 \
-		 $(MAN8)/swriteboot.8
+		 $(MAN8)/swriteboot.8 $(MAN8)/sdisklabel.8
+
 install-gzip: install-gz
+
+clean:
+	rm -f aboot.8 aboot.conf.5 abootconf.8 isomarkboot.1 sdisklabel.8 netabootwrap.1 manpage.log manpage.links manpage.refs
+
+%.1: %.sgml
+	docbook2man $<
+
+%.5: %.sgml
+	docbook2man $<
+
+%.8: %.sgml
+	docbook2man $<
