=== debian/changelog ===
aboot (1.0~pre20200212-1) unstable; urgency=medium

  * New upstream version
  * Set myself as maintainer in debian/control (Closes: #950591)
  * Add libext2fs-dev to Build-Depends for alpha in debian/control
  * Drop sgmlspl from Build-Depends in debian/control
  * Drop sp from Build-Depends in debian/control (Closes: #832491)
  * Drop sgmltools-lite from Build-Depends-Indep in debian/control (Closes: #949711)
  * Use rename to adjust filenames for German manpages
    - Add rename to Build-Depends in debian/control
    - Run rename to adjust German manpage filenames in debian/rules
  * Switch package to source format 3.0 (quilt)
  * Update Vcs-* fields for new Salsa project in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 07 Mar 2020 12:12:47 +0100

aboot (1.0~pre20040408-4) unstable; urgency=low

  * Add Vcs-Bzr field to debian/control.
  * Add headers needed for size_t and other types with recent
    linux-libc-dev.
  * Pull in include/linux/ext2_fs.h from the Linux 3.2.46 source, since it's
    no longer included in linux-libc-dev and recent versions are much less
    userspace-friendly.
  * fs/ufs.c, include/ufs.h: replace undefined types with the modern kernel
    types.
  * tools/objstrip.c: fix elf structure definitions.
  * tools/isomarkboot.c: avoid mixing kernel and libc headers.
    Closes: #652598.
  * Correct accidental revert of upstream sources in 1.0~pre20040408.
    Closes: #524916.
  * Replace mkisofs with genisoimage in Suggests.  Closes: #601260.
  * Fix debian/control to use ${misc:Depends} everywhere.  Thanks to
    Benjamin Kerensa <bkerensa@ubuntu.com> for the patch.  Closes: #692636.
  * Update debian/copyright to copyright-format 1.0.
  * Modernize debian/rules: debhelper 9, dh(1).
  * Add rough support for cross-building.
  * Split sgmtools-lite into Build-Depends-Indep.
  * Use Breaks/Replaces instead of Conflicts for historical replaces.
  * Fix the doc-base section.
  * Bump to Standards-Version 3.9.3; no changes required.

 -- Steve Langasek <vorlon@debian.org>  Sun, 06 Oct 2013 23:35:32 -0700

aboot (1.0~pre20040408-3) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Fix wrong sync from alioth for aboot.conf.(sgml|5), e2writeboot.8,
    swriteboot.8
  * debian/control: Move section to admin to match overrides
  * Remove incorrect isomarkboot.8 (as upstream did), this is in section 1
  * Update my e-mail address also in every man page (where applicable)
  * Slightly improve debian/rules
  * Add a note for people intending to recompile aboot on stable (Etch)
  * Update TODO
  * Update download location of milo in appropriate READMEs 
  * Bump standards version to 3.7.3.0 (no changes required)

  [ Steve Langasek ]
  * Drop the reference to asm/page.h from zip/main.c since it isn't actually
    needed, fixing a build failure with current linux-libc-dev; thanks to
    Philipp Benner <pbenner@uni-osnabrueck.de> for pointing out the obvious
    fix.  Closes: #480364.
  * disk.c: drop reference to asm/elf.h.
  * tools/objstrip.c: drop reference to asm/elf.h; use a.out.h instead
    of linux/a.out.h, which is no longer provided by the kernel; and
    include a copy of the elf_check_arch() define from the old asm/elf.h
    in the event that we're building against recent kernel headers.
  * tools/elfencap.c: there is only one right answer for each of ELF_CLASS,
    ELF_DATA, and ELF_ARCH; reference these values directly, for
    compatibility with linux-libc-dev 2.6.24 and above.
  * Take over from Helge as maintainer; thanks for all your work!
    Closes: #315592.

 -- Steve Langasek <vorlon@debian.org>  Mon, 02 Jun 2008 09:33:19 -0700

aboot (1.0~pre20040408-2) unstable; urgency=low

  * Include userspace headers from lib/isolib.c instead of kernel
    headers; this isn't kernel code anyway, and the kernel headers don't
    work right on i386 the way they're being used.

 -- Steve Langasek <vorlon@debian.org>  Wed, 22 Aug 2007 20:29:59 -0700

aboot (1.0~pre20040408-1) unstable; urgency=low

  [ Steve Langasek ]
  * New upstream version, pulled from CVS snapshot.
  * Drop separate faq-src directory, now merged upstream as doc/faq
  * Fix header references in multiple files, and import a local copy of
    asm-alpha/pal.h and asm-alpha/system.h from the kernel sources for
    use by head.S and aboot.c, for the switch to linux-libc-dev in
    lenny.  Closes: #437296.
  * Update debian/rules to use DEB_HOST_GNU_CPU instead of
    DEB_HOST_GNU_TYPE, to fix a misbuild in unstable.
  * Fix wrong manpage section for srmbootraw(8) in the clean target
  * Update bootlx to ignore ELF header sections not of type PT_LOAD when
    loading the kernel, so that the new PT_NOTE sections in 2.6.23rc1 and
    above don't cause load failures.  Thanks to Richard Henderson for the
    patch.  Closes: #438431.
  * Drop unneeded build-dependency on linux-kernel-headers, which is
    build-essential.

  [ Helge Kreutzmann ]
  * Fix minor typos in German man pages.
  * Update my e-mail address in debian related files
  * Do not ignore errors in clean targets (thanks, lintian)
  * Bump standards version to 3.7.2.2
  * Bump dephelper level to 5

 -- Steve Langasek <vorlon@debian.org>  Wed, 22 Aug 2007 14:31:26 -0700

aboot (0.9b-3) unstable; urgency=low

  * Synced man pages with upstream: aboot.conf.sgml, aboot.sgml,
    abootconf.sgml, e2writeboot.8, isomarkboot.sgml, sdisklabel.sgml,
    swriteboot.8.
  * Took german translation of man pages from upstream.
  * Minor code issues synced from upstream CVS (partially for testing
    builds). Closes: #258594.
  * Include patch to make isomarkboot endian-safe. Thanks to Steve McIntyre,
    Closes: #253846.
  * Add netabootwrap man page (english and german).
  * Fix netabootwrap so that it stops claiming to be bootp.

 -- Helge Kreutzmann <kreutzm@zola.itp.uni-hannover.de>  Mon, 12 Jul 2004 17:02:10 +0200

aboot (0.9b-2) unstable; urgency=low


